#ifndef OMOTIONCAPTURE_H__
#define OMOTIONCAPTURE_H__

enum
{
	MOTIONCAPTURE_FILENAME  = 1000,
	MOTIONCAPTURE_UID,
	MOTIONCAPTURE_CAMERA,
	MOTIONCAPTURE_FRAMECOUNT,
	MOTIONCAPTURE_SETTIMELINE,	
	MOTIONCAPTURE_ADDCAMERA,
	
	MOTIONCAPTURE_POSE,
	MOTIONCAPTURE_POSE_CAPTURE,
	MOTIONCAPTURE_POSE_T,
	
	MOTIONCAPTURE_TRANSFORMS,
	MOTIONCAPTURE_TRANSFORMS_LOCAL,
	MOTIONCAPTURE_TRANSFORMS_MODEL,
	
	MOTIONCAPTURE_LOCKED,
	
	MOTIONCAPTURE_STARTFRAME,
	MOTIONCAPTURE_RANGELENGTH,
	
	MOTIONCAPTURE_ROTATION,	
	MOTIONCAPTURE_OFFSET,
	
	MOTIONCAPTURE_SETNEUTRALFRAME,
	MOTIONCAPTURE_CLEARNEUTRALFRAME,
		
	MOTIONCAPTURE_MATRICES,
	MOTIONCAPTURE_MATRIX_BODY,
	MOTIONCAPTURE_MATRIX_CAMERA,
	MOTIONCAPTURE_MATRIX_NEUTRALFRAME,
		
	MOTIONCAPTURE_BODY_LINK,
	MOTIONCAPTURE_BODY_ADD,
	
	MOTIONCAPTURE_BAKE,
	
	MOTIONCAPTURE_HELP,
	
	MOTIONCAPTURE_LOOP,
	MOTIONCAPTURE_CREATEMOTIONCLIP,
			
	MOTIONCAPTURE_MATRIX_BODY_GROUP = 1100,
	MOTIONCAPTURE_MATRIX_BODY_POSITION,
	MOTIONCAPTURE_MATRIX_BODY_ROTATION,
	MOTIONCAPTURE_MATRIX_CAMERA_GROUP,
	MOTIONCAPTURE_MATRIX_CAMERA_POSITION,
	MOTIONCAPTURE_MATRIX_CAMERA_ROTATION,
	MOTIONCAPTURE_MATRIX_NEUTRALFRAME_GROUP,
	MOTIONCAPTURE_MATRIX_NEUTRALFRAME_POSITION,
    MOTIONCAPTURE_MATRIX_NEUTRALFRAME_ROTATION,
	
	MOTIONCAPTURE_ORIENTATION = 1200,
	MOTIONCAPTURE_ORIENTATION_Z_POS = 0,
	MOTIONCAPTURE_ORIENTATION_Z_NEG = 1,
	
	MOTIONCAPTURE_LOSTFRAME = 1300,
	MOTIONCAPTURE_LOSTFRAME_HOLD,
	MOTIONCAPTURE_LOSTFRAME_BLEND,
	MOTIONCAPTURE_LOSTFRAME_HIDE,
};

#endif // OMOTIONCAPTURE_H__
